#!/usr/bin/perl -w -I/usr/sausalito/perl -I.
#$Id: checkTag.pl,v 1.4 2000/08/25 05:16:49 jlovell Exp $
# 
# Backup.backupTag handler
# author: Brenda Mula <bmula@cobalt.com>
#
# generates the following i18n messages:
#		invalidBackupTag
#		backupTagAlreadyTaken

# I use the name to track Immediate Backups, so don't allow
my @illegal_usernames = qw/
    
/;
my %illegal_usernames = map { $_ => 1 } @illegal_usernames;
use strict;
use Sauce::Config;
use FileHandle;
use CCE;

my $cce = new CCE;
$cce->connectfd(\*STDIN,\*STDOUT);

# retreive user object data:
my $oid = $cce->event_oid();

if (!$oid) {
	# something is very, very wrong.
	$cce->bye('FAIL', 'Bad CSCP header');
	exit(1);
}

my $backupobj = $cce->event_object();
my $name = $backupobj->{backupTag} || "";

##########################################################################
# error checking
##########################################################################
my $error;

print STDERR "trying to create Backup with backupTage = $name\n";
#$error = $cce->validate('backupTag', qr/^[a-zA-Z0-9\.\-\_]{1,36}$/ );

# check for illegal name
if ($error || $illegal_usernames{$name}) {
	$cce->baddata($oid, 'name', '[[base-backup.backupTagInvalid]]');
	$error = 1;
} 

# check for duplicate Tags
if (!$error) {
	my @oids = $cce->find("Backup", { 'backupTag' => $name });
	if ($#oids > 0) {
		$cce->baddata(0, 'name', 
			'[[base-backup.backupTagAlreadyTaken]]');
		$error = 1;
	}
}

if ($error) {
	$cce->bye('FAIL');
	exit(1);
}

# comfortable shoes.
$cce->bye('SUCCESS');
exit(0);
