#!/usr/bin/perl  -w -I/usr/sausalito/perl -I.

use strict;
use Backup;
use CCE;

my $cronFile;

# Get new CCE Object
my $cce = new CCE;
$cce->connectfd(\*STDIN,\*STDOUT);

# get Backup Object from CCE to read values
my $oid = $cce->event_oid();
my $obj = $cce->event_object();

# Get CCE data
my ($success, $web, $old, $new)   = $cce->get($oid);

# Only return information when we are being destroyed
if (!($cce->event_is_destroy())){
	exit 0;  # Do nothing, just return OK
}

# Remove cron file if it's a scheduled backup
if ($old->{backupSchedule} ne "backupImmediate") {
	$cronFile = $old->{backupCronFile};
	if (-f "$cronFile") {
		unlink("$cronFile");
	}
}

exit 0;

