#!/usr/bin/perl  -w -I/usr/sausalito/perl -I.
use strict;
use Backup;
use CCE;

# Author: Brenda Mula, Tim Hockin
# Copyright 2000 Cobalt Networks, Inc.
# http://www.cobalt.com
#
# $Id: vrfy_mount.pl,v 1.3 2000/09/16 01:34:33 jlovell Exp $

my $cce;

my $COBALT_BACKUP	= "/usr/local/sbin/cbackup";
my $ret			= 0;
my $backupOptions	= "";

sub test_backup
{
	print STDERR "Executing $COBALT_BACKUP $backupOptions\n";
	system("$COBALT_BACKUP $backupOptions");
	return $?;
}


#  -------- Main ---------------------

my ($self, @args) = @_;

$cce = new CCE;
$cce->connectfd(\*STDIN,\*STDOUT);

# get Backup Object from CCE to read values
my $oid = $cce->event_oid();
my $obj = $cce->event_object();

my $backup_tag         = $obj->{backupTag};
my $backup_method      = $obj->{backupMethod};
my $backup_destination = $obj->{backupDestination};
my $backup_username    = $obj->{backupUsername};
my $backup_password    = $obj->{password};

$backupOptions = "--name $backup_tag --method $backup_method " .
	"--location '$backup_destination' --test";
if ($backup_username) {
	$backupOptions .= " --username '$backup_username'";
}
if ($backup_password) {
	$backupOptions .= " --password '$backup_password'";
}

$ret = test_backup(); 

# Make sure that error is detected by all.
if ($ret) {
	$cce->warn('[[base-backup.testFailed]]');
	$cce->bye('FAIL');
} else {
	$cce->bye('SUCCESS');
}

exit $ret;
